--[[----------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2022 Adobe Inc.
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

local WFCatAsset = require "WFCatAsset"

--------------------------------------------------------------------------------

local LrmLibraryAssetEditInfoImp = {}

--==============================================================================

function LrmLibraryAssetEditInfoImp:getAssetLatestEditDetails( assetId  )

	return {

		value = WFCatAsset.getAssetLatestEditDetails( self._wfCatalog, assetId ),

	}

end

--------------------------------------------------------------------------------

function LrmLibraryAssetEditInfoImp:getLatestEditDetailsForAssets( docIds )

	return {

		value = WFCatAsset.getLatestEditDetailsForAssets( self._wfCatalog, docIds ),

	}

end

--------------------------------------------------------------------------------

function LrmLibraryAssetEditInfoImp:getOtherClientEditDetails( assetId )

	return {

		value = WFCatAsset.ongoingGetOtherClientEditDetails( self._wfCatalog, assetId )

	}

end

--------------------------------------------------------------------------------

return LrmLibraryAssetEditInfoImp
